Bug 188078 - [PATCH] mail/mailgraph: stage support
Summary: [PATCH] mail/mailgraph: stage support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-30 14:10 UTC by Danilo G. Baio
Modified: 2014-04-04 10:10 UTC (History)
1 user (show)

See Also:


Attachments
mailgraph-1.14.patch (1.72 KB, patch)
2014-03-30 14:10 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2014-03-30 14:10:00 UTC
- stage support

Port maintainer (rafan@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-30 14:10:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-04 10:01:59 UTC
Author: rafan
Date: Fri Apr  4 09:01:55 2014
New Revision: 350069
URL: http://svnweb.freebsd.org/changeset/ports/350069
QAT: https://qat.redports.org/buildarchive/r350069/

Log:
  - STAGE support
  
  PR:		ports/188078
  Submitted by:	Danilo G. Baio <dbaio at bsd.com.br>

Modified:
  head/mail/mailgraph/Makefile
  head/mail/mailgraph/pkg-plist

Modified: head/mail/mailgraph/Makefile
==============================================================================
--- head/mail/mailgraph/Makefile	Fri Apr  4 08:53:00 2014	(r350068)
+++ head/mail/mailgraph/Makefile	Fri Apr  4 09:01:55 2014	(r350069)
@@ -32,7 +32,6 @@ DOCS=		README CHANGES
 PORTDOCS=	${DOCS}
 .endif
 
-NO_STAGE=	yes
 pre-everything::
 	@${ECHO_MSG} ""
 	@${ECHO_MSG} "You may set following options:"
@@ -47,23 +46,17 @@ post-patch:
 	@${REINPLACE_CMD} -e "s,%%DATADIR%%,${DATADIR}," ${WRKSRC}/mailgraph.cgi
 
 do-install:
-	${MKDIR} ${CGIDIR}
-	${MKDIR} ${WWWROOT}/mailgraph
-	${MKDIR} ${DATADIR}
-	@${CHOWN} -R ${MAILGRAPH_USER}:${MAILGRAPH_GROUP} ${DATADIR}
-	@${INSTALL_SCRIPT} ${WRKSRC}/mailgraph.pl ${PREFIX}/sbin
-	@${INSTALL_SCRIPT} ${WRKSRC}/mailgraph.cgi ${CGIDIR}
-	@${INSTALL_DATA} ${WRKSRC}/mailgraph.css ${WWWROOT}/mailgraph
+	${MKDIR} ${STAGEDIR}${CGIDIR}
+	${MKDIR} ${STAGEDIR}${WWWROOT}/mailgraph
+	${MKDIR} ${STAGEDIR}${DATADIR}
+	@${INSTALL_SCRIPT} ${WRKSRC}/mailgraph.pl ${STAGEDIR}${PREFIX}/sbin
+	@${INSTALL_SCRIPT} ${WRKSRC}/mailgraph.cgi ${STAGEDIR}${CGIDIR}
+	@${INSTALL_DATA} ${WRKSRC}/mailgraph.css ${STAGEDIR}${WWWROOT}/mailgraph
 .if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 	for f in ${DOCS}; do \
-	  ${INSTALL_DATA} ${WRKSRC}/$$f ${DOCSDIR}; \
+	  ${INSTALL_DATA} ${WRKSRC}/$$f ${STAGEDIR}${DOCSDIR}; \
 	done
 .endif
 
-post-install:
-	@${ECHO_MSG} ""
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO_MSG} ""
-
 .include <bsd.port.mk>

Modified: head/mail/mailgraph/pkg-plist
==============================================================================
--- head/mail/mailgraph/pkg-plist	Fri Apr  4 08:53:00 2014	(r350068)
+++ head/mail/mailgraph/pkg-plist	Fri Apr  4 09:01:55 2014	(r350069)
@@ -1,6 +1,12 @@
+@owner www
+@group www
+%%DATADIR%%
+@group
+@owner
 %%CGIDIR%%/mailgraph.cgi
 %%WWWROOT%%/mailgraph/mailgraph.css
 sbin/mailgraph.pl
+@dirrmtry %%DATADIR%%
 @dirrmtry %%CGIDIR%%
 @dirrmtry %%WWWROOT%%/mailgraph
 @dirrmtry %%WWWROOT%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Rong-En Fan freebsd_committer 2014-04-04 10:02:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!